Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.renderkit
Class ButtonRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.jboss.seam.ui.util.cdk.RendererBase
              org.jboss.seam.ui.renderkit.ButtonRendererBase

    public class ButtonRendererBase

extends RendererBase

Field Summary

Fields inherited from class org.jboss.seam.ui.util.cdk.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`ButtonRendererBase()`

Method Summary
`protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom start encoding of concrete renderer.
`protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
`protected Class` | `getComponentClass()` Get base component slass , targetted for this renderer.

Methods inherited from class org.jboss.seam.ui.util.cdk.RendererBase
`decode, doDecode, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ButtonRendererBase

    public ButtonRendererBase()

Method Detail

### getComponentClass

    protected Class getComponentClass()

  Description copied from class: `RendererBase`
  Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.

  Specified by:
    `getComponentClass` in class `RendererBase`

### doEncodeBegin

    protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                                 javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)
                          throws IOException

  Description copied from class: `RendererBase`
  Template method for custom start encoding of concrete renderer. All parameters checking and writer is performed in original encodeBegin() method.

  Overrides:
    `doEncodeBegin` in class `RendererBase`
  Throws:
    `IOException`

### doEncodeEnd

    protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                               javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws IOException

  Description copied from class: `RendererBase`
  Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original encodeEnd() method.

  Overrides:
    `doEncodeEnd` in class `RendererBase`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.